For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
          • GETGet returns filtered by search parameters
          • GETGet an individual return
          • POSTRun an operation on an return
    • FeedAMP Order Source
LogoLogo
RESTFeedAMP Order V2Returns

Run an operation on an return

POST
https://api.feedamp.feedonomics.com/api/v2/returns/:return-id/run-operation
POST
/api/v2/returns/:return-id/run-operation
$curl -X POST "https://api.feedamp.feedonomics.com/api/v2/returns/109872189273617283/run-operation?op=process" \
> -H "token: token" \
> -H "client: 1" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{
> "lines": [
> {
> "id": "RETURN-LINE-1"
> },
> {
> "id": "RETURN_LINE-2",
> "additional_info": "INFO",
> "code": "RETURN_NON_COMPLIANT_MISSING_ITEM"
> }
> ]
>}'
1{
2 "operation": "string",
3 "response": {}
4}
Run the operation specified in the request on an return. The contents of the request and response will vary depending on the operation.
Was this page helpful?
Previous

Get an individual return

Next

FeedAMP Order Source API

Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

return-idstringRequired
FeedAMP Return ID

Headers

tokenstringRequired

The Authentication token obtained from the v1 get_token route

clientintegerRequired
The ID of the client making the request

Query parameters

opstringRequired
Name of the operation to run

Request

The contents of the request and response will vary depending on the operation.
map from strings to anyRequired
OR
ReturnMiraklReturnComplianceobjectRequired

Payload for Mirakl Mark Return as non-/Compliant

Response

Operation Result
operationstring
responseobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error
502
Bad Gateway Error
503
Service Unavailable Error